﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II (1 yr) A Video VER RS-232 /VPG
DATE:                  2017-09-22 08:18:38
AUTHOR:                Fluke
REVISION:              $Revision: 22200 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       10
NUMBER OF LINES:       238
STANDARD:              Video Pattern Generator
=============================================================================
#
#  Procedure Author:
#        VY, CAD
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  STD          Video Pattern Generator

# Set the variable for channel that below setting will be applied to.
  1.002  MATH         @Input = @Chan

  1.003  RSLT         =
  1.004  HEAD         {VIDEO TEST}
  1.005  TARGET
  1.006  MATH         @DC_Coupling = 1; @BW_Setup = "FULL BW"
  1.007  CALL         Sub Fluke 190II Setup Scope Channels RS-232
  1.008  JMPL         END                          @Abort
  1.009  MATH         @Timebase = "20 us/div"; @HPos = "1 div"
  1.010  CALL         Sub Fluke 190II Setup Scope Timebase & Pos RS-232
# A: 2V/div, Manual, Video on A, +NTSC, line 525, Trigger Pos 1 div
  1.011  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.012  JMPL         END                          @Abort
# Command is exceeds 180 bytes. Cannot use.
  1.013  PORT         [OTERM NONE]
  1.014  PORT         #0[32][11][0][1][3][3][32][13][0][2][0][0][0][32][14][0][5][0][0][0][16][255][15][32][35][0][2][128][3][131][32][100][0][1][1][1][32][103][0][2][2][10][12][32][105][0][2][0][0][0][32][106][0][7][1][128][1][2]
  1.014  PORT         [13][2][0][147][32][107][0][8][192][2][0][0][0][0][8][251][197][32][109][0][1][128][128][32][115][0][1][0][0][32][140][0][3][2][45][9][56][32][70][0][7][128][1][0][0][0][0][0][129][160][71][0][2][0][55][55][13]
  1.015  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.016  JMPL         END                          @Abort
  1.017  PORT         [OTERM CR]

# Initalize variables for identifying which video formats have been tested.
  1.018  MATH         Tested_SECAM = 0
  1.019  MATH         Tested_PAL   = 0
  1.020  MATH         Tested_NTSC  = 0

  1.021  DO
# Present list box to facilitate video format test selection.
  1.022  MATH         Id = LBNEW("Video Format Test Selection")
  1.023  MATH         LBCONF(Id, "+selreq")
  1.024  MATH         LBTEXT(Id, "It is only necessary to test one video")
  1.025  MATH         LBTEXT(Id, "format to verify proper instrument")
  1.026  MATH         LBTEXT(Id, "operation.")
  1.027  MATH         LBTEXT(Id, "")
  1.028  MATH         LBTEXT(Id, "NOTE: the NTSC video format is most")
  1.029  MATH         LBTEXT(Id, "commonly used in the United States.")
  1.030  MATH         LBTEXT(Id, "")
  1.031  MATH         LBTEXT(Id, "Select the video format to be tested:")

# Only add a video format to the selection list if it has not already been
# tested.
  1.032  IF           NOT(Tested_SECAM)
  1.033  MATH         LBADD(Id, "SECAM")
  1.034  ENDIF

  1.035  IF           NOT(Tested_PAL)
  1.036  MATH         LBADD(Id, "PAL")
  1.037  ENDIF

  1.038  IF           NOT(Tested_NTSC)
  1.039  MATH         LBADD(Id, "NTSC")
  1.040  ENDIF

# Display list box and store selection.
  1.041  MATH         LBSHOW(Id)
  1.042  MATH         Format = LBGETSEL(Id, 1)

  1.043  IF           ZCMPI(Format, "SECAM")
  1.044  RSLT         =
  1.045  HEAD         -2{SECAM Line 622}: Positive
  1.046  TARGET
  1.047  PIC          190II_Normal_Polarity_VPG.jpg
  1.048  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.049  JMPL         END                          @Abort
  1.050  PORT         #0[160][106][0][7][1][128][1][2][110][3][0][245]
  1.051  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.052  JMPL         END                          @Abort
  1.053  DISP         Set the Video Pattern Generator controls as follows:
  1.053  DISP
  1.053  DISP         - Select SECAM video mode
  1.053  DISP         - Set PATTERN/KEYBOARD to GREY SCALE
  1.053  DISP         - Adjust VIDEO AMPL (sync pulse) for > 0.7 div on UUT
  1.053  DISP         - Set CHROMA AMPL to 0
  1.054  PICE         -s "Positive Trigger" : 190II_PAL_SECAM_622_VPG.jpg

  2.001  RSLT         =
  2.002  HEAD         -2{SECAM Line 310}: Positive
  2.003  TARGET
  2.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.005  JMPL         END                          @Abort
  2.006  PORT         #0[160][106][0][7][1][128][1][1][54][3][0][188]
  2.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.008  JMPL         END                          @Abort
  2.009  PICE         -s "Positive Trigger" : 190II_PAL_SECAM_310_VPG.jpg

  3.001  HEAD         -2 SECAM Line 310: Negative
  3.002  TARGET
  3.003  PIC          190II_Inverted_Polarity_VPG.jpg
  3.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.005  JMPL         END                          @Abort
  3.006  PORT         #0[160][106][0][7][1][0][1][1][54][3][0][60]
  3.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.008  JMPL         END                          @Abort
  3.009  PICE         -s "Negative Trigger" : 190II_PAL_SECAM_310J_VPG.jpg

  4.001  MATH         Tested_SECAM = 1

  4.002  ELSEIF       ZCMPI(Format, "PAL")
  4.003  RSLT         =
  4.004  HEAD         -2{PAL Line 622}: Positive
  4.005  TARGET
  4.006  PIC          190II_Normal_Polarity_VPG.jpg
  4.007  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.008  JMPL         END                          @Abort
  4.009  PORT         #0[160][106][0][7][1][128][1][2][110][0][0][242]
  4.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.011  JMPL         END                          @Abort
  4.012  DISP         Set the Video Pattern Generator controls as follows:
  4.012  DISP
  4.012  DISP         - Select PAL video mode
  4.012  DISP         - Set PATTERN/KEYBOARD to GREY SCALE
  4.012  DISP         - Adjust VIDEO AMPL (sync pulse) for > 0.7 div on UUT
  4.012  DISP         - Set CHROMA AMPL to 0
  4.013  PICE         -s "Positive Trigger" : 190II_PAL_SECAM_622_VPG.jpg

  5.001  RSLT         =
  5.002  HEAD         -2{PAL Line 310}: Positive
  5.003  TARGET
  5.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.005  JMPL         END                          @Abort
  5.006  PORT         #0[160][106][0][7][1][128][1][1][54][0][0][185]
  5.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  5.008  JMPL         END                          @Abort
  5.009  PICE         -s "Positive Trigger" : 190II_PAL_SECAM_310_VPG.jpg

  6.001  HEAD         -2 PAL Line 310: Negative
  6.002  TARGET
  6.003  PIC          190II_Inverted_Polarity_VPG.jpg
  6.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.005  JMPL         END                          @Abort
  6.006  PORT         #0[160][106][0][7][1][0][1][1][54][0][0][57]
  6.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.008  JMPL         END                          @Abort
  6.009  PICE         -s "Negative Trigger" : 190II_PAL_SECAM_310J_VPG.jpg

  7.001  MATH         Tested_PAL   = 1

  7.002  ELSE         ; ZCMPI(Format, "NTSC")
  7.003  RSLT         =
  7.004  HEAD         -2{NTSC Line 525}: Positive
  7.005  TARGET
  7.006  PIC          190II_Normal_Polarity_VPG.jpg
  7.007  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  7.008  JMPL         END                          @Abort
  7.009  PORT         #0[160][106][0][7][1][128][1][2][13][2][0][147]
  7.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  7.011  JMPL         END                          @Abort
  7.012  DISP         Set the Video Pattern Generator controls as follows:
  7.012  DISP
  7.012  DISP         - Select NTSC video mode
  7.012  DISP         - Set PATTERN/KEYBOARD to GREY SCALE
  7.012  DISP         - Adjust VIDEO AMPL (sync pulse) for > 0.7 div on UUT
  7.012  DISP         - Set CHROMA AMPL to 0
  7.013  PICE         -s "Positive Trigger" : 190II_NTSC_525_VPG.jpg

  8.001  RSLT         =
  8.002  HEAD         -2{NTSC Line 262}: Positive
  8.003  TARGET
  8.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  8.005  JMPL         END                          @Abort
  8.006  PORT         #0[160][106][0][7][1][128][1][1][6][2][0][139]
  8.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  8.008  JMPL         END                          @Abort
  8.009  PICE         -s "Positive Trigger" : 190II_NTSC_262_VPG.jpg

  9.001  HEAD         -2 NTSC Line 262: Negative
  9.002  TARGET
  9.003  PIC          190II_Inverted_Polarity_VPG.jpg
  9.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  9.005  JMPL         END                          @Abort
  9.006  PORT         #0[160][106][0][7][1][0][1][1][6][2][0][11]
  9.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  9.008  JMPL         END                          @Abort
  9.009  PICE         -s "Positive Trigger" : 190II_NTSC_262J_VPG.jpg

 10.001  MATH         Tested_NTSC  = 1
 10.002  ENDIF

 10.003  HEAD         -2
 10.004  MATH         Tested_All = (Tested_SECAM && Tested_PAL && Tested_NTSC)

 10.005  IF           NOT(Tested_All)
 10.006  OPBR         -z Would you like to test another video format?[NO]
 10.007  ENDIF

 10.008  UNTIL        NOT(MEM1) || Tested_All

 10.009  LABEL        END
 10.010  DISP         Disconnect the Video Pattern Generator from the DUT.
 10.011  HEAD
 10.012  END
